Show / Hide Table of Contents

# Interface ICallGateSubscriber<T1, TRet>

###### Namespace: Dalamud.Plugin.Ipc

###### Assembly: Dalamud.dll

##### Syntax

    public interface ICallGateSubscriber<T1, TRet>

##### Type Parameters

Name | Description
--- | ---
T1 |
TRet |

### Methods

| Improve this Doc View Source

#### InvokeAction(T1)

##### Declaration

    void InvokeAction(T1 arg1)

##### Parameters

Type | Name | Description
--- | --- | ---
T1 | arg1 |

| Improve this Doc View Source

#### InvokeFunc(T1)

##### Declaration

    TRet InvokeFunc(T1 arg1)

##### Parameters

Type | Name | Description
--- | --- | ---
T1 | arg1 |

##### Returns

Type | Description
--- | ---
TRet |

| Improve this Doc View Source

#### Subscribe(Action<T1>)

##### Declaration

    void Subscribe(Action<T1> action)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<T1> | action |

| Improve this Doc View Source

#### Unsubscribe(Action<T1>)

##### Declaration

    void Unsubscribe(Action<T1> action)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<T1> | action |